=== xdwapi/Makefile ===
# Makefile for the xdesktopwaves API and its demo program

CC     = gcc
CFLAGS = -I/usr/X11R6/include -O2
LINK   = gcc
LFLAGS = -L/usr/X11R6/lib
LIBS   = -lm -lX11

all: xdwapidemo

xdwapi.o: xdwapi.c xdwapi.h
	$(CC) $(CFLAGS) -c xdwapi.c -o xdwapi.o

xdwapidemo.o: xdwapidemo.c xdwapi.h
	$(CC) $(CFLAGS) -c xdwapidemo.c -o xdwapidemo.o

xdwapidemo: xdwapidemo.o xdwapi.o
	$(LINK) $(LFLAGS) xdwapidemo.o xdwapi.o $(LIBS) -o xdwapidemo

clean:
	$(RM) xdwapidemo xdwapidemo.o xdwapi.o
