=== debian/changelog ===
xdesktopwaves (1.3-4) unstable; urgency=low

  * Using source package format "3.0 (quilt)"
  * Upgraded Standards-Version from 3.7.3 to 3.9.3
  * Replaced dh_clean -k by dh_prep in debian/rules
  * Upgraded debian/compat to 9.
  * Modified debian/rules to use fortified libc functions.
    See: http://wiki.debian.org/Hardening
  * Added build-indep and build-arch targets to debian/rules
  * Added PNG icons, menu entry and desktop entries
  * Changed my email in debian/control to miriam@debian.org

 -- Miriam Ruiz <miriam@debian.org>  Fri, 23 Nov 2012 15:37:51 +0100

xdesktopwaves (1.3-3) unstable; urgency=low

  * Added libxext-dev to Build-Depends (Closes: #486962)

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 19 Jun 2008 09:08:41 +0000

xdesktopwaves (1.3-2) unstable; urgency=low

  * Modified package to build with debhelper instead of yada.
  * Added homepage to package description in debian/control.
  * Binaries are not stripped with DEB_BUILD_OPTIONS=nostrip (Closes: #438299)
  * Added quilt to build-depends.
  * Added homepage to debian/control.
  * Upgraded Standards-Version from 3.7.2 to 3.7.3

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 07 Jun 2008 04:40:52 +0200

xdesktopwaves (1.3-1) unstable; urgency=low

  * New Upstream version.

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu,  23 Dec 2004 16:14:00 +0100

xdesktopwaves (1.2-1) unstable; urgency=low

  * Initial Debian version.

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed,  8 Dec 2004 19:46:34 +0100
