=== debian/control ===
Source: xdesktopwaves
Section: games
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends: debhelper (>= 9), quilt, libx11-dev,
 x11proto-core-dev, x11proto-xext-dev, libxext-dev
Standards-Version: 3.9.3
Homepage: http://xdesktopwaves.sourceforge.net/

Package: xdesktopwaves
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simulation of water waves on the X Window System
 xdesktopwaves is a cellular automata setting the background of your
 X Window System under water. Windows and mouse are like ships on
 the sea. Each movement of these ends up in moving water waves. You
 can even have rain and/or storm stirring up the water.
